//将字符串日期转换成数字，并且为年月日
export function parseDate(dateString) {
    // 假设 dateString 是有效的并且遵循 "YYYY-MM-DD" 格式
    var parts = dateString.split('-'); // 使用split方法分割字符串
    return {
        year: parseInt(parts[0], 10), // 将第一部分转换为整数作为年份
        month: parseInt(parts[1], 10), // 将第二部分转换为整数作为月份
        day: parseInt(parts[2], 10)    // 将第三部分转换为整数作为日子
    };
}

//通过生日计算年龄
export function calculateAge(birth_year,birth_month,birth_day) {
    const today_date = new Date();
    const today_year = today_date.getFullYear();
    const today_month = today_date.getMonth();
    const today_day = today_date.getDate();
    var age = today_year - birth_year;

    if ( today_month < (birth_month - 1))
    {
        age--;
    }
    if (((birth_month - 1) == today_month) && (today_day < birth_day))
    {
        age--;
    }
    return age;
}
